%define ver     4265
%define libs	libibcommon libibumad libibmad
%define osm	osm
%define util	util/*
%define diag	diags/*
%define dist	.1.ML5

Name: opensm
Version: 1.0
Release: 0.%{ver}%{?dist}.2.1
Summary:  OpenIB InfiniBand Subnet Manager and management utilities

Group: System Environment/Base
License: GPL/BSD
Url: https://openib.org/svn/gen2/trunk
Source: opensm-%{ver}.tar.bz2
Source1: opensm.sh
Source2: opensm.csh
Source3: opensm.initd
Patch: opensm-3965-build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch: i386 ia64 x86_64 ppc64 ppc

%description
OpenSM is the OpenIB project's Subnet Manager for Infiniband networks.
The subnet manager is run as a system daemon on one of the machines in
the infiniband fabric to manage the maintenance of the fabric's routing
state.  This package also contains various tools for diagnosing and testing
Infiniband networks that can be used from any machine and do not need
to be run on a machine running the opensm daemon.

%package libs
Summary: Libraries used by opensm and included utilities
Group: System Environment/Libraries

%description libs
Shared libraries for Infiniband user space access

%package devel
Summary: Development files for the opensm-libs libraries
Group: Development/System
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files for the libraries in the %{name}
package.

%prep
%setup -q -n %{name}-%{ver}
%patch -p1 -b .build

%build
LIBS="%{libs}"
OSM="%{osm}"
UTIL="%{util}"
DIAG="%{diag}"
for i in $LIBS $OSM $UTIL $DIAG; do
	if [ -x $i/autogen.sh ]; then
		if !(	cd $i &&
			./autogen.sh &&
			%configure --disable-libcheck &&
			make %{?_smp_mflags}
		    ); then exit 1; fi
	fi
done

%install
LIBS="%{libs}"
OSM="%{osm}"
UTIL="%{util}"
DIAG="%{diag}"
for i in $LIBS $OSM $UTIL $DIAG; do
	if [ -x $i/autogen.sh ]; then
		if !(   cd $i &&
			%makeinstall
		    ); then exit 1; fi
	fi
done
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m755 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
install -D -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_initrddir}/opensm
# Keep the top README file and the osm/README file from name clashing
cp osm/README osm/README.osm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add opensm

%preun
/sbin/chkconfig --del opensm

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_initrddir}/opensm
%doc AUTHORS COPYING doc/* osm/doc/* osm/{ChangeLog,INSTALL,README.osm} README

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.a
%{_includedir}/infiniband


%changelog
* Wed Apr 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.4265.1.FC5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0-0.4265.1.FC5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Add an ExclusiveArch tag to match kernels that support Infiniband
- Add the docs to the RPM

* Mon Nov 14 2005 Doug Ledford <dledford@redhat.com>
- Split the libs out from the programs in case anyone needs 32bit libs
  on 64bit arches
- Add an init script to start the subnet manager, defaults to off, must
  be enabled on at least one machine in the subnet.

* Mon Nov 7 2005 Doug Ledford <dledford@redhat.com>
- Initial import
